### ResOfInflam holds a selection of code to generate the figures found in 
ResOfInflam holds a selection of code to generate the figures found in 
the paper 'Dunster, J.L., Byrne, H.M. and King, J.R., 2014. The resolution of inflammation: a mathematical model of neutrophil and macrophage interactions. Bulletin of mathematical biology, 76(8), pp.1953-1980.'. The matlab code (sufix .m) provides time-dependent numerical simulations of the models while the XPP code (suffix .ode) can be used to investigate the models steady states and bifurcations behaviour.


#### The following code is written in Matlab and generates model time-dependent simulations

resInflamDamage.m

resInflamM1.m

resInflamM3.m

resInflamM3Therapy.m

No particular version of Matlab is required.

#### The following code is written in XPP and generates bifurcation diagrams

resInflamM1Bif.ode

resInflamM2Bif.ode

resInflamM3Bif.ode

XPP/XPPAUT is freely available and can be downlowded from www.math.pitt.edu/~bard/xpp/xpp.html. Instructions to run the code and obtain bifurcation diagrams can be found at http://www.math.pitt.edu/~bard/xpp/help/xpphelp.html

#### License

Copyright 2017 Joanne Dunster
 
Licensed under the Apache License, Version 2.0 (the "License");
you may not use these software files except in compliance with the License.
You may obtain a copy of the License at
 
    http://www.apache.org/licenses/LICENSE-2.0
 
Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

#### Please cite the above mentioned paper if you use this code.
#### Joanne L. Dunster @CardioMaths www.cardiomaths.net