function resInflamDamage()
% resInflamM1 resproduces figure 2 from
% Dunster et al (2014) Resolution of inflammation: a mathematical model of neutrophil and macrophage interactions. Bulletin of mathematical biology, 76(8), pp.1953-1980.
% 
% 2017-01-13
% Joanne L Dunster @CardioMaths
% 
% Please cite the above mentioned paper if you use this code 

clear; close all; clc;
format short;
tic

%Length of damage, select 1 (healthy) or 4 (unhealthy)
cyc=1;
dam=cyc*pi;

%time to solve
t=[0:0.01:20];

f=fc(t);

figure;  
plot(t,f,'-','LineWidth',2');

%-----------------------------------------------------------------------
%Damage
     function y=fc(fct)
 
         y=sin(fct).^2;
         y=y.*(fct<dam);
        
     end

end

